/**

Copyright 2021 Forestry.io Holdings, Inc.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

*/
/// <reference types="react" />
import PropTypes from 'prop-types';
import { Form } from '@tinacms/forms';
interface RenderProps {
    isEditing: boolean;
    setIsEditing(nextVal: boolean): any;
}
export interface Props {
    form: Form;
    children({ isEditing, setIsEditing }: RenderProps): any;
}
export declare function TinaForm({ form, children }: Props): JSX.Element;
interface TinaFieldsProps {
    name: string;
    type?: string;
    Component: any;
    children: any;
}
export declare function TinaField({ Component, children, ...fieldProps }: TinaFieldsProps): any;
export declare namespace TinaField {
    var propTypes: {
        name: PropTypes.Requireable<string>;
        type: PropTypes.Requireable<string>;
        Component: PropTypes.Validator<any>;
        children: PropTypes.Requireable<any>;
    };
}
export {};
